Bug 182262 - Linked ITs showing negative scoring
Linked ITs showing negative scoring
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: David Lawrence
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-02-21 10:11 EST by Jon Fautley
Modified: 2007-04-18 13:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-07 12:51:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jon Fautley 2006-02-21 10:11:30 EST
Description of problem:

When creating a new Bugzilla entry (irrespective of product/other settings, it
seems) and you link an IT to the BZ, the IT will be listed with a negative score.

Version-Release number of selected component (if applicable):

Bugzilla: 2.18-rh
Issue Tracker: 4.1
(Latest production Bugzilla and Issue Tracker releases as of 20060221)

Steps to Reproduce:
1. Create a new bug
2. Link an existing IT to the new bug
3. Check the IT score.
Actual results:

Bugzilla reports the Issue Tracker scoring as -1.

Expected results:

BZ should be reporting the correct issue-tracker scoring.

Additional info:

Example bugzilla entries: 182239 / 176924
Comment 1 David Lawrence 2006-03-07 12:51:01 EST
Are you entering the IT ID in the Bugzilla interface or are you doing the
linking from with in the Issue Tracker web interface? It makes a difference
depending on how you added the number. If you enter the Issue ID through
Bugzilla, then Bugzilla automatically gives the score of -1. If you create the
link using Issue Tracker it will pass in the correct score at the time it makes
the addIT() XMLRPC call. Otherwise, Issue Tracker will come around and update
the scores at a later time using a cron job or when the score is updated in
Issue Tracker to something else. The it will be something other than -1. Scores
of 0 mean that the corresponding Issue in IT was closed and IT updated the score
in BZ's database.

Note You need to log in before you can comment on or make changes to this bug.